--- src/cpp/flann/nn/index_testing.h.org	2023-01-27 18:10:37.000000000 +0100
+++ src/cpp/flann/nn/index_testing.h	2023-01-27 18:12:25.000000000 +0100
@@ -250,7 +250,6 @@
     float p2;
 
     int c1 = 1;
-    float p1;
 
     float time;
     DistanceType dist;
@@ -274,7 +273,6 @@
         precision = precisions[i];
         while (p2<precision) {
             c1 = c2;
-            p1 = p2;
             c2 *=2;
             p2 = search_with_ground_truth(index, inputData, testData, matches, nn, c2, time, dist, distance, skipMatches);
             if ((maxTime> 0)&&(time > maxTime)&&(p2<precision)) return;
